[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DCSetAntialiasing

Enables or disables anti-aliasing for the specified device context.

## Declaration

Source position: interfacebase.pp line 164

`public procedure TWidgetSet.DCSetAntialiasing(`
`CanvasHandle: HDC;`
`AEnabled: Boolean`
`); virtual;`

## Arguments

`CanvasHandle` |  | Canvas handle with the device context updated in the method.
`AEnabled` |  | True to enable anti-aliasing for the device context.

## Description

Called from the RealizeAntiAliasing method in TCanvas when its handle or AntialiasingMode property is changed.